<?php

use App\Models\Enums\ReportStatus;
use App\Models\Study;
use App\Models\User;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('study_reports', function (Blueprint $table) {
            $table->id();
            $table->unsignedTinyInteger('report_status')->default(ReportStatus::Pending->value);
            $table->foreignIdFor(Study::class)->index()->constrained()->cascadeOnDelete();
            $table->foreignIdFor(User::class, 'radiologist_id')->index()->constrained()->cascadeOnDelete();
            $table->string('report_title')->nullable();
            $table->string('file_path');
            $table->string('pdf_path')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('study_reports');
    }
};
