<?php

use App\Models\Enums\NameMatchModes;
use App\Models\Institute;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('institute_names', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Institute::class)->constrained()->onDelete('CASCADE');
            $table->string('name')->unique();
            $table->unsignedTinyInteger('match_mode')->default(NameMatchModes::Exact->value);
            $table->unsignedTinyInteger('priority')->default(0);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('institute_names');
    }
};
