<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('templates', function (Blueprint $table) {
            $table->id();
            $table->foreignId('category_id')->constrained('template_categories')->cascadeOnDelete();
            $table->foreignId('owner_id')->nullable()->constrained('users')->nullOnDelete();
            $table->boolean('is_private')->default(false);
            $table->unsignedTinyInteger('priority')->default(0);
            $table->string('title');
            $table->longText('content');
            $table->string('tags')->nullable();
            $table->timestamps();

            $table->index(['is_private',  'priority', 'title']);
            $table->index(['category_id', 'is_private',  'priority', 'title']);
            $table->index(['owner_id', 'is_private', 'priority', 'title']);
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('templates');
    }
};
