<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('study_histories', function (Blueprint $table) {
            $table->id();
            $table->foreignId('study_id')->index()->constrained('studies')->cascadeOnDelete();
            $table->foreignId('user_id')->constrained('users');
            $table->text('clinical_history')->nullable();
            $table->text('surgical_history')->nullable();
            $table->text('lab_results')->nullable();
            $table->text('clinical_diagnosis')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('study_histories');
    }
};
